%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Alien-wxWidgets
%define modv   0.51
%define modp   %(echo %{modn} | cut -d'-' -f1)
%define wxver  %(rpm -q wxGTK-devel --qf '%{VERSION}')

# No binaries here
%define debug_package %{nil}


Summary:       Building, finding and using wxWidgets binaries
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/M/MB/MBARBON/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Mattia Barbon <mbarbon@users.sourceforge.net>
Provides:      perl(Alien::wxWidgets) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      wxGTK-devel = %{wxver}
BuildRequires: perl >= 5.006
BuildRequires: perl(ExtUtils::CBuilder) >= 0.24
BuildRequires: perl(Module::Build) >= 0.2800
BuildRequires: perl(Module::Pluggable) >= 2.6
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: perl(Test::Pod::Coverage) >= 1.00
BuildRequires: wxGTK-devel >= 2.0


%description
Alien::wxWidgets can be used to detect and get configuration settings from 
an installed wxWidgets.


%prep
%setup -q -n %{modn}-%{modv}


%build
for WX_CONFIG in /usr/bin/wxgtk2*-config; do
  export WX_CONFIG

  %{__perl} Build.PL \
	--installdirs vendor

  ./Build
done


%check
./Build test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

./Build pure_install \
	--destdir ${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README.txt
%{perl_vendorarch}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Wed Apr 21 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.51-1
- New version (0.51)

* Sun Mar 22 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.42-2
- Rebuilt for updated wxGTK package

* Wed Feb 04 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.42-1
- New version (0.42)

* Sun Oct 05 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.39-1
- New version (0.39)

* Tue May 20 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.35-3
- Rebuilt for updated wxGTK package

* Tue May 13 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.35-2
- Added wxGTK-devel dependency

* Mon May 12 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.35-1
- Initial build
